Package org.bukkit

# Enum Class EntityEffect

java.lang.Object
java.lang.Enum<EntityEffect>
org.bukkit.EntityEffect

All Implemented Interfaces:
  `Serializable`, `Comparable<EntityEffect>`, `Constable`

public enum EntityEffect extends Enum<EntityEffect>
A list of all Effects that can happen to entities.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARMOR_STAND_HIT`
Armor stand is hit.
`ARROW_PARTICLES`
Colored particles from a tipped arrow.
`BREAK_EQUIPMENT_BOOTS`
Entity breaks item in boot slot
`BREAK_EQUIPMENT_CHESTPLATE`
Entity breaks item in chestplate slot
`BREAK_EQUIPMENT_HELMET`
Entity breaks item in helmet slot
`BREAK_EQUIPMENT_LEGGINGS`
Entity breaks item in legging slot
`BREAK_EQUIPMENT_MAIN_HAND`
Entity breaks item in main hand
`BREAK_EQUIPMENT_OFF_HAND`
Entity breaks item in off hand
`CAT_TAME_FAIL`
Cat taming failed.
`CAT_TAME_SUCCESS`
Cat taming succeeded.
`DEATH`
Deprecated.
although this effect may trigger other events on non-living entities, it's only supported usage is on living ones.
`DOLPHIN_FED`
Dolphin has been fed and is locating a structure.
`ENTITY_POOF`
Silverfish entering block, spawner spawning.
`FIREWORK_EXPLODE`
When a firework explodes.
`FOX_CHEW`
Fox chews the food in its mouth
`GUARDIAN_TARGET`
Guardian plays the attack sound effect.
`HURT`
When mobs get hurt.
`HURT_BERRY_BUSH`
Entity hurt due to berry bush.
`HURT_DROWN`
Entity hurt due to drowning damage.
`HURT_EXPLOSION`
Entity hurt due to explosion damage.
`IRON_GOLEM_ROSE`
When an Iron Golem gives a rose.
`IRON_GOLEM_SHEATH`
Iron golem puts away rose.
`LOVE_HEARTS`
Hearts from a breeding entity.
`PLAYER_BAD_OMEN_RAID`
Player's bad omen effect removed to start or increase raid difficult.
`RABBIT_JUMP`
Rabbit jumping.
`RAVAGER_STUNNED`
Ravager has been stunned for 40 ticks.
`SHEEP_EAT`
Deprecated.
although this effect may trigger other events on non-living entities, it's only supported usage is on living ones.
`SHIELD_BLOCK`
Shield blocks attack.
`SHIELD_BREAK`
Shield breaks.
`SQUID_ROTATE`
Resets squid rotation.
`TELEPORT_ENDER`
Entity teleported as a result of chorus fruit or as an enderman
`THORNS_HURT`
Entity hurt by thorns attack.
`TOTEM_RESURRECT`
Totem prevents entity death.
`VILLAGER_ANGRY`
When a villager is angry.
`VILLAGER_HAPPY`
Happy particles from a villager.
`VILLAGER_HEART`
Hearts from a villager.
`VILLAGER_SPLASH`
Villager splashes particles during a raid.
`WITCH_MAGIC`
Magic particles from a witch.
`WOLF_HEARTS`
The hearts when taming a wolf succeeds.
`WOLF_SHAKE`
When a wolf shakes (after being wet).
`WOLF_SMOKE`
The smoke when taming a wolf fails.
`ZOMBIE_TRANSFORM`
When a zombie transforms into a villager by shaking violently.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Class<? extends Entity>`
`getApplicable()`
Gets entity superclass which this affect is applicable to.
`byte`
`getData()`
Deprecated.
Magic value
`static EntityEffect`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EntityEffect[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ARROW_PARTICLES

public static final EntityEffect ARROW_PARTICLES
Colored particles from a tipped arrow.

### RABBIT_JUMP

public static final EntityEffect RABBIT_JUMP
Rabbit jumping.

### HURT

public static final EntityEffect HURT
When mobs get hurt.

### DEATH

@Deprecated public static final EntityEffect DEATH
Deprecated.
although this effect may trigger other events on non-living entities, it's only supported usage is on living ones.
When a mob dies.

This will cause client-glitches!

### WOLF_SMOKE

public static final EntityEffect WOLF_SMOKE
The smoke when taming a wolf fails.

### WOLF_HEARTS

public static final EntityEffect WOLF_HEARTS
The hearts when taming a wolf succeeds.

### WOLF_SHAKE

public static final EntityEffect WOLF_SHAKE
When a wolf shakes (after being wet).

### SHEEP_EAT

@Deprecated public static final EntityEffect SHEEP_EAT
Deprecated.
although this effect may trigger other events on non-living entities, it's only supported usage is on living ones.
When an entity eats a LONG_GRASS block.

### IRON_GOLEM_ROSE

public static final EntityEffect IRON_GOLEM_ROSE
When an Iron Golem gives a rose.

### VILLAGER_HEART

public static final EntityEffect VILLAGER_HEART
Hearts from a villager.

### VILLAGER_ANGRY

public static final EntityEffect VILLAGER_ANGRY
When a villager is angry.

### VILLAGER_HAPPY

public static final EntityEffect VILLAGER_HAPPY
Happy particles from a villager.

### WITCH_MAGIC

public static final EntityEffect WITCH_MAGIC
Magic particles from a witch.

### ZOMBIE_TRANSFORM

public static final EntityEffect ZOMBIE_TRANSFORM
When a zombie transforms into a villager by shaking violently.

### FIREWORK_EXPLODE

public static final EntityEffect FIREWORK_EXPLODE
When a firework explodes.

### LOVE_HEARTS

public static final EntityEffect LOVE_HEARTS
Hearts from a breeding entity.

### SQUID_ROTATE

public static final EntityEffect SQUID_ROTATE
Resets squid rotation.

### ENTITY_POOF

public static final EntityEffect ENTITY_POOF
Silverfish entering block, spawner spawning.

### GUARDIAN_TARGET

public static final EntityEffect GUARDIAN_TARGET
Guardian plays the attack sound effect.

### SHIELD_BLOCK

public static final EntityEffect SHIELD_BLOCK
Shield blocks attack.

### SHIELD_BREAK

public static final EntityEffect SHIELD_BREAK
Shield breaks.

### ARMOR_STAND_HIT

public static final EntityEffect ARMOR_STAND_HIT
Armor stand is hit.

### THORNS_HURT

public static final EntityEffect THORNS_HURT
Entity hurt by thorns attack.

### IRON_GOLEM_SHEATH

public static final EntityEffect IRON_GOLEM_SHEATH
Iron golem puts away rose.

### TOTEM_RESURRECT

public static final EntityEffect TOTEM_RESURRECT
Totem prevents entity death.

### HURT_DROWN

public static final EntityEffect HURT_DROWN
Entity hurt due to drowning damage.

### HURT_EXPLOSION

public static final EntityEffect HURT_EXPLOSION
Entity hurt due to explosion damage.

### DOLPHIN_FED

public static final EntityEffect DOLPHIN_FED
Dolphin has been fed and is locating a structure.

### RAVAGER_STUNNED

public static final EntityEffect RAVAGER_STUNNED
Ravager has been stunned for 40 ticks.

### CAT_TAME_FAIL

public static final EntityEffect CAT_TAME_FAIL
Cat taming failed.

### CAT_TAME_SUCCESS

public static final EntityEffect CAT_TAME_SUCCESS
Cat taming succeeded.

### VILLAGER_SPLASH

public static final EntityEffect VILLAGER_SPLASH
Villager splashes particles during a raid.

### PLAYER_BAD_OMEN_RAID

public static final EntityEffect PLAYER_BAD_OMEN_RAID
Player's bad omen effect removed to start or increase raid difficult.

### HURT_BERRY_BUSH

public static final EntityEffect HURT_BERRY_BUSH
Entity hurt due to berry bush. Prickly!

### FOX_CHEW

public static final EntityEffect FOX_CHEW
Fox chews the food in its mouth

### TELEPORT_ENDER

public static final EntityEffect TELEPORT_ENDER
Entity teleported as a result of chorus fruit or as an enderman

### BREAK_EQUIPMENT_MAIN_HAND

public static final EntityEffect BREAK_EQUIPMENT_MAIN_HAND
Entity breaks item in main hand

### BREAK_EQUIPMENT_OFF_HAND

public static final EntityEffect BREAK_EQUIPMENT_OFF_HAND
Entity breaks item in off hand

### BREAK_EQUIPMENT_HELMET

public static final EntityEffect BREAK_EQUIPMENT_HELMET
Entity breaks item in helmet slot

### BREAK_EQUIPMENT_CHESTPLATE

public static final EntityEffect BREAK_EQUIPMENT_CHESTPLATE
Entity breaks item in chestplate slot

### BREAK_EQUIPMENT_LEGGINGS

public static final EntityEffect BREAK_EQUIPMENT_LEGGINGS
Entity breaks item in legging slot

### BREAK_EQUIPMENT_BOOTS

public static final EntityEffect BREAK_EQUIPMENT_BOOTS
Entity breaks item in boot slot

## Method Details

### values

public static EntityEffect[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EntityEffect valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getData

@Deprecated public byte getData()
Deprecated.
Magic value
Gets the data value of this EntityEffect

Returns:
  The data value

### getApplicable

@NotNull public @NotNull Class<? extends Entity> getApplicable()
Gets entity superclass which this affect is applicable to.

Returns:
  applicable class